/*
 * support/nfs/nfsctl.c
 *
 * Central syscall to the nfsd kernel module.
 *
 * Copyright (C) 1995, 1996 Olaf Kirch <okir@monad.swb.de>
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <unistd.h>
#include <asm/unistd.h>
#include <errno.h>
#include "nfslib.h"

/* compatibility hack... */
#ifndef __NR_nfsctl
#ifdef __NR_nfsservctl
#define __NR_nfsctl	__NR_nfsservctl
#endif
#endif

int
nfsctl (int cmd, struct nfsctl_arg * argp, union nfsctl_res * resp)
{
#ifdef __NR_nfsctl
  return syscall (__NR_nfsctl, cmd, argp, resp);
#else
  return -ENOSYS;
#endif
}
